package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class DisposizioniRid.
 * @see sicura.entities.DisposizioniRid
 * @author Hibernate Tools
 */
@Stateless
public class DisposizioniRidHome {

	private static final Log log = LogFactory.getLog(DisposizioniRidHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(DisposizioniRid transientInstance) {
		log.debug("persisting DisposizioniRid instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(DisposizioniRid persistentInstance) {
		log.debug("removing DisposizioniRid instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public DisposizioniRid merge(DisposizioniRid detachedInstance) {
		log.debug("merging DisposizioniRid instance");
		try {
			DisposizioniRid result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public DisposizioniRid findById(Integer id) {
		log.debug("getting DisposizioniRid instance with id: " + id);
		try {
			DisposizioniRid instance = entityManager.find(DisposizioniRid.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
